<template>
  <div class="install" ref="chartBox"></div>
</template>

<script>
import { findInstallInfo } from '@/api/dataAnalysis'

export default {
  props: {
    chartData: {
      type: Object,
      default: function () {
        return {}
      }
    }
  },
  watch: {
    chartData: {
      handler (newValue, oldValue) {
        this.$nextTick(() => {
          this.findInstallInfo(this.chartData)
        })
      },
      deep: true, // true 深度监听
      immediate: true
    }
  },
  methods: {
    // 查询安装次数
    async findInstallInfo (item) {
      const myChart = this.$echarts.init(this.$refs.chartBox)
      myChart.showLoading()
      try {
        const res = await findInstallInfo({
          startTime: item.time[0],
          endTime: item.time[1]
        })
        if (res.code === '0') {
          myChart.setOption(item.option)
          myChart.setOption({ // 加载数据图表
            series: [{
              data: res.data.map(item => {
                return {
                  name: item.equipment,
                  value: item.number
                }
              })
            }]
          })
          window.addEventListener('resize', () => {
            myChart.resize()
          })
          myChart.hideLoading()
        } else {
          myChart.hideLoading()
        }
      } catch (error) {
        myChart.hideLoading()
      }
    }
  }
}
</script>

<style>
/* .install{
 width: 100%;
 height: 100%;
} */
</style>
